<div fxLayout="column" fxLayoutAlign="none end">
    <button mat-flat-button (click)="logout()">LOGOUT</button>
</div>
<div fxLayout="row" fxLayoutAlign="center center" style="height: 100%;">
    <div fxLayout="column" fxLayoutAlign="center end" fxflex="100" fxflex.gt-sm="50">
        <table mat-table [dataSource]="contacts" class="mat-elevation-z8">

            <ng-container matColumnDef="firstName">
                <th mat-header-cell *matHeaderCellDef [ngClass]="'w-125'"> First name </th>
                <td mat-cell *matCellDef="let element"> {{element.firstName}} </td>
            </ng-container>

            <ng-container matColumnDef="lastName">
                <th mat-header-cell *matHeaderCellDef [ngClass]="'w-125'"> Last name </th>
                <td mat-cell *matCellDef="let element"> {{element.lastName}} </td>
            </ng-container>

            <ng-container matColumnDef="phoneNumber">
                <th mat-header-cell *matHeaderCellDef [ngClass]="'w-150'"> Phone number </th>
                <td mat-cell *matCellDef="let element"> {{element.phoneNumber}} </td>
            </ng-container>

            <ng-container matColumnDef="email">
                <th mat-header-cell *matHeaderCellDef [ngClass]="'w-150'"> Email </th>
                <td mat-cell *matCellDef="let element"> {{element.email}} </td>
            </ng-container>
            <ng-container matColumnDef="actions">
                <th mat-header-cell *matHeaderCellDef [ngClass]="'w-150'"> </th>
                <td mat-cell *matCellDef="let element">
                    <div fxLayout="row" fxLayoutAlign="center center">
                        <button mat-button color="primary" (click)="edit(element)">edit</button>
                        <button mat-button color="warn" (click)="remove(element.id)">delete</button>
                    </div>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
        <button mat-mini-fab color="accent" (click)="add()">+1</button>
    </div>
</div>